library(readr)
library(dplyr)

source("write_three_d.R")

fields = c("ID","RAh","RAm","RAs","DE_","DEd","DEm","DEs","o_coo","Bmag","e_Bmag","Vmag","e_Vmag","Jmag","e_Jmag","Hmag","e_Hmag","Ksmag","e_Ksmag","Teff","e_Teff","logg","e_logg","Fe_H","e_Fe_H","n_Fe_H","Author","bibcode")
start_i = c(1,31,34,37,46,47,50,53,61,64,72,78,86,92,99,106,113,120,127,134,141,147,154,160,167,173,175,196)
end_i = c(29,32,35,44,46,48,51,59,61,69,76,83,90,97,104,111,118,125,132,139,145,152,158,165,171,173,194,214)

stars.df =
  read_fwf("pastel.dat", fwf_positions(start_i, end_i, fields)) %>%
  filter(!is.na(Teff) & !is.na(Fe_H) & !is.na(logg))

write_three_d(stars.df, "js_to_copy.txt", x="Teff", y="logg", z="Fe_H")
